<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    Connection stockConnection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
        stockConnection = DriverManager.getConnection( url, username, pass);
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String update = null;
    String query = null;
    Statement statement = connection.createStatement();
    boolean updatedSuccessfully = false;
    ResultSet results = null;
    
    if (request.getParameter("action") != null) // if the admin has added a new product
    {
        // get the relevant information
        String title = request.getParameter("title");
        String artist = request.getParameter("artist");
        String genre = request.getParameter("genre");
        String length = request.getParameter("length");
        String release = request.getParameter("release");
        String price = request.getParameter("price");
        String inStock = request.getParameter("inStock");
        String lowStock = request.getParameter("lowStock");
        String picture = request.getParameter("picture");
        
        // add it to the database
        update = "INSERT INTO cds (title, artist, genre, length, release_date, price, in_stock, low_stock, picture) VALUES('" + title + "', '" + artist + "', '" + genre + "', " + length + ", '" + release + "', " + price + ", " + inStock + ", " + lowStock + ", '" + picture + "');";
        statement.executeUpdate(update);
        updatedSuccessfully = true;
    }
    else // otherwise, get the relevant genres from the database (used for the select input type in the form)
    {
        query = "SELECT * FROM genres";
        results = statement.executeQuery(query);
    }   
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD store - Add New Product</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@include file="tableupper.jsp" %>
        <%
        if (currentUser.isAdmin() == true)
        {
        %>
            <center>
            <%
            if (updatedSuccessfully) // if the admin has added a new product, tell them so
            {
            %>
                <h1>The new product has been successfully added to the database</h1>
            <%
            }
            else // otherwise display a blank form all by it's lonesome
            {
            %>
                <h1>Add new Product</h1>
                <form action="addnewproduct.jsp" method="post">
                <table border="0">
                    <tr>
                        <td align="right">Title:</td>
                        <td><input type="text" name="title"/></td>
                    </tr>
                    <tr>
                        <td align="right">Artist:</td>
                        <td><input type="text" name="artist"/></td>
                    </tr>
                    <tr>
                        <td align="right">Genre:</td>
                        <td>
                            <select name="genre">
                        <%
                            // available genres are stored in the database, and must be iterated through for display
                            while (results.next())
                            {
                                String name = results.getString("name");
                                out.println("<option value=\"" + name + "\">" + name + "</option>");
                            }
                        %>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">Length:</td>
                        <td><input type="text" name="length"/></td>
                    </tr>
                    <tr>
                        <td align="right">Release Date<br/>(MM/DD/YYYY)</td>
                        <td><input type="text" name="release"/></td>
                    </tr>
                    <tr>
                        <td align="right">Price:</td>
                        <td><input type="text" name="price"/></td>
                    </tr>
                    <tr>
                        <td align="right">Currently in stock:</td>
                        <td><input type="text" name="inStock"/></td>
                    </tr>
                    <tr>
                        <td align="right">Low stock level:</td>
                        <td><input type="text" name="lowStock"/></td>
                    </tr>
                    <tr>
                        <td align="right">Picture:</td>
                        <td><input type="text" name="picture"/></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><input type="reset" value="Reset"/><input type="submit" value="Submit Changes"/></td>
                    </tr>
                </table>
                <input type="hidden" value="add" name="action"/>
                </form>
            <%
            }
            %>
            </center>
        <%
        }
        else
        {
            out.println("<center><h1>You must be logged in as an administrator to view this page</h1></center>");
        }
        
        connection.close();
        %>
        <%@include file="tablelower.jsp" %>
    </body>
</html>