<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    Connection stockConnection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
        stockConnection = DriverManager.getConnection( url, username, pass);
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String productID = request.getParameter("product");
    String removeID = request.getParameter("remove");
    String cdID = request.getParameter("cdID");
    
    
    ResultSet results = null;
    ResultSet genreResults = null;
    
    Statement statement = connection.createStatement();
    Statement genreStatement = connection.createStatement();
    
    String query = null;
    String query2 = null;
        
    if (cdID != null) // if user has submitted changes, get them, then pass them into the database
    {
        String id = request.getParameter("cdID");
        String title = request.getParameter("title");
        String artist = request.getParameter("artist");
        String genre = request.getParameter("genre");
        String length = request.getParameter("length");
        String release = request.getParameter("release");
        String price = request.getParameter("price");
        String inStock = request.getParameter("inStock");
        String lowStock = request.getParameter("lowStock");
        String picture = request.getParameter("picture");
        
        query = "UPDATE cds SET title='" + title + "', artist='" + artist + "', genre='" + genre + "', length=" + length + ", release_date='" + release + "', price=" + price + ", in_stock=" + inStock + ", low_stock=" + lowStock + ", picture='" + picture + "' WHERE id=" + id + ";";
        statement.executeUpdate(query);
        
        query = "SELECT * FROM cds WHERE id=" + cdID + ";";
        results = statement.executeQuery(query);
        
        query2 = "SELECT name FROM genres;";
        genreResults = genreStatement.executeQuery(query2);
    }
    else if (productID != null) // if the admin has selected a CD to edit, get the relevant information and display it
    {
        query = "SELECT * FROM cds WHERE id=" + productID + ";";
        query2 = "SELECT name FROM genres;";
        results = statement.executeQuery(query);
        genreResults = genreStatement.executeQuery(query2);
    }
    else if (removeID != null) // the admin is deleting a product, must not be selling
    {
        query = "DELETE FROM cds WHERE id=" + removeID + ";"; // remove the item
        statement.executeUpdate(query);
        
        query = "SELECT id, title, artist FROM cds ORDER BY title;"; // grab the list of remaining items
        results = statement.executeQuery(query);
    }
    else // if the admin is visiting the page for the first time, get the CDs that the admin can edit
    {
        query = "SELECT id, title, artist FROM cds ORDER BY title;";
        results = statement.executeQuery(query);
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD store - Product Information</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@include file="tableupper.jsp" %>
        <%
        if (currentUser.isAdmin() == true)
        {
        %>
        <center>
        <%
            if ((productID != null) || (cdID != null)) // if they pulled up information for the CD, display it
            {
                results.next();
                String temp = results.getString("title");
        %>
                <h1>Product Information for <%= temp %></h1>
            <%
                if (cdID != null) // if the admin has successfully updated the CD information, tell them so
                {
                    out.println("<font color=\"red\">Updated Successfully</font>");
                }
            %>
                <form action="productinfo.jsp" method="post">
                <table border="0">
                    <tr>
                        <td align="right">Title:</td>
                        <td><input type="text" value="<%= temp %>" name="title"/></td>
                    </tr>
                    <tr>
                        <td align="right">Artist:</td>
                        <td><input type="text" value="<%= results.getString("artist") %>" name="artist"/></td>
                    </tr>
                    <tr>
                        <td align="right">Genre:</td>
                        <td>
                            <select name="genre">
                        <%
                            String cdGenre = results.getString("genre");
                            while (genreResults.next())
                            {
                                String name = genreResults.getString("name");
                                
                                if (name.equals(cdGenre) == true)
                                {
                                    out.println("<option value=\"" + name + "\" selected=\"selected\">" + name + "</option>");
                                }
                                else
                                {
                                    out.println("<option value=\"" + name + "\">" + name + "</option>");
                                }
                            }
                        %>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">Length:</td>
                        <td><input type="text" value="<%= results.getString("length") %>" name="length"/></td>
                    </tr>
                    <tr>
                        <td align="right">Release Date<br/>(MM/DD/YYYY)</td>
                        <td><input type="text" value="<%= results.getString("release_date") %>" name="release"/></td>
                    </tr>
                    <tr>
                        <td align="right">Price:</td>
                        <td><input type="text" value="<%= results.getString("price") %>" name="price"/></td>
                    </tr>
                    <tr>
                        <td align="right">Currently in stock:</td>
                        <td><input type="text" value="<%= results.getString("in_stock") %>" name="inStock"/></td>
                    </tr>
                    <tr>
                        <td align="right">Low stock level:</td>
                        <td><input type="text" value="<%= results.getString("low_stock") %>" name="lowStock"/></td>
                    </tr>
                    <tr>
                        <td align="right">Picture:</td>
                        <td><input type="text" value="<%= results.getString("picture") %>" name="picture"/></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><input type="reset" value="Reset"/><input type="submit" value="Submit Changes"/></td>
                    </tr>
                </table>
                <input type="hidden" name="cdID" value="<%= results.getString("id") %>"/>
                </form>
        <%
            }
            else // otherwise, they haven't yet selected which CD to display information for, give them the choice
            {
        %>
                <h1>Product Information</h1>
                <table border="0" width="85%">
                    <tr>
                        <th>Title</th>
                        <th>Artist</th>
                        <th>Modify</th>
                        <th>Delete</th>
                    </tr>
                    <tr>
                        <td colspan="4"><hr/></td>
                    </tr>
            <%
                while (results.next())
                {
                    String id = results.getString("id");
                    String title = results.getString("title");
                    String artist = results.getString("artist");
            %>
                    <tr>
                        <td align="center"><%= title %></td>
                        <td align="center"><%= artist %></td>
                        <td align="center"><a href="productinfo.jsp?product=<%= id %>">View/Modify Product</td>
                        <td align="center"><a href="productinfo.jsp?remove=<%= id %>">Delete Product</td>
                    </tr>
            <%
                }
            %>
                    <tr>
                        <td colspan="4"><hr/></td>
                    </tr>
                </table>
        <%
            }
        %>
        
        </center>
        <%
        }
        else
        {
            out.println("<center><h1>You must be logged in as an administrator to view this page</h1></center>");
        }
        
        connection.close();
        %>	
        <%@include file="tablelower.jsp" %>
    </body>
</html>