<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String password = "password";
    
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String type = request.getParameter("type");
    String args = request.getParameter("args");
    if (type == null)
    {
        type = "null";
    }
    if (args == null)
    {
        args = "null";
    }
    boolean haveItems = false;
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>
            CD Store - Music
        </title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <%
            if ((args.equals("null") == true) || (type.equals("null") == true))
            {
        %>
                <center>
                    <h1>Find Music</h1>
                    <form action="search.jsp" method="GET">
                    <table>
                        <tr>
                        <th>Search by: </th>
                        <td>
                            <select name="type">
                                <option value="title">Title</option>
                                <option value="artist">Artist</option>
                                <option value="genre">Genre</option>
                                <option value="length">Length</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th>For value: </th>
                        <td><input type="text" name="args" size="25"/></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><input type="submit" value="Search" /></td>
                    </tr>
                </table>
                </form>
                </center>
        <%
            }
            else
            {
                String query =  "SELECT id, title, artist, genre, length, price, picture, release_date, in_stock " +
                                "FROM cds " +
                                "WHERE " + type + "='" + args + "' ORDER BY artist, title;";
                Statement statement = connection.createStatement();
                ResultSet results = statement.executeQuery(query);
                
        %>
                <center>
                    <h1>CD catalogue<br>~ <%= type %>: <%= args %> ~</h1>
                </center>
                
            <%
                int resultsCount = 0;
                while(results.next()) 
		        {
		            resultsCount = resultsCount + 1;
                    String uID = results.getString("id");
                    String pic = results.getString("picture");
                    double temp = Double.parseDouble(results.getString("price"));
                    String price = NumberFormat.getCurrencyInstance(Locale.US).format(temp);
                    int stockLevel = results.getInt("in_stock");
            %>
                    <table border="0">
                        <tr>
                            <td rowspan="7" align="center">
                            <%
                                if (currentUser.isAdmin() == false)
                                {
                                    if (stockLevel > 0)
                                    {
                            %>
                                        <a href="cart.jsp?add=<%= uID %>">
                                        <img src="images/cart.gif" alt="add to cart" width="60"/></a><br/>
                                        <a href="cart.jsp?add=<%= uID %>">Add to <br/>
                                        Shopping Cart
                                        </a>
                            <%
                                    }
                                    else
                                    {
                            %>
                                        <img src="images/outofstock.gif" alt="Out of stock" width="92"/>
                            <%
                                    }
                                }
                                else
                                {
                            %>
                                    <br/>
                            <%
                                }
                            %>    
                            </td>
                            <td><br/></td>
                            <td rowspan="7"><img src="<%= pic %>" alt="cover" width="170" height="170"/></td>
                            <td><b>Title:</b> <%= results.getString("title") %></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><b>Artist:</b> <%= results.getString("artist") %></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><b>Genre:</b> <%= results.getString("genre") %></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><b>Release Date:</b> <%= results.getString("release_date") %></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><b>Price:</b> <%= price %></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><a href="review.jsp?cd=<%= uID %>">User Reviews</a></td>
                        </tr>
                        <tr>
                            <td><br/></td>
                            <td><br/></td>
                        </tr>
                    </table>
            <%
                }
            
                if (resultsCount == 0)
                {
            %>
                    <center>
                    <font color="red">Sorry, there are no <%= args %> <%= type %> CDs in our catalogue at this time.  Please check back later.</font>
                    </center>
            <%
                }// end if
            }
            connection.close();
            %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>