<%@ include file="beans.jsp" %>
<%@ page import="edu.montana.cs.CD" %>
<%@ page import="java.text.NumberFormat" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%
/* This file is going to keep track of Everything that is in the Shopping cart
and is going to calculate the price as it goes Remeber that all beans are activated
by the file beans.jsp*/
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String password = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    if (request.getParameter("cd0") != null) // if the user has changed the number of CDs in the cart
    {
        int numItems = currentCart.getNumItems(); // get the current number of unique CDs
        Object[] cart = new Object[numItems]; // make an array to hold all the CDs in the cart
        cart = currentCart.getItems(); // dump the items from the bean into the array
        
        for (int i = 0; i < numItems; i = i + 1) // iterate through the array updating the number of CDs item by item
        {
            CD currentCD = (CD)cart[i];
            String temp = "cd" + i;
            int newNumber = Integer.parseInt(request.getParameter(temp));
            currentCart.updateItemQuantity(currentCD, newNumber);
        }
    }
    else if (request.getParameter("add") != null) // if the user adds a new unique CD to the cart
    {
        String query = "SELECT * FROM cds WHERE id=" + request.getParameter("add") + ";";
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(query);
                    
        results.next();
        CD newCD = new CD(); // create a new CD object
        
        // initialize the object
        newCD.setTitle(results.getString("title"));
        newCD.setArtist(results.getString("artist"));
        newCD.setPrice(results.getDouble("price"));
        newCD.setDatabaseID(results.getInt("id"));
        
        currentCart.addItem(newCD); // add to the bean (aka shopping cart)
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD Store - Shopping Cart</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <%
        int numItems = currentCart.getNumItems();
        if (numItems == 0)   // if the cart is empty, tell the user
        {
        %>
            <center><h1>You have no items in your shopping cart</h1></center>
        <%
        }
        else // otherwise the cart must have something in it
        {
        %>
            <form action="cart.jsp?update=true" method="GET"> <% // the form allows the user to add duplicate CDs to the cart.  For example, if they want to add two CDs that are the same, they just change the number displayed on the form. %>
            <table align="center" width="85%" border="0">
                <tr>
                    <th colspan="4"><h1>Shopping Cart</h1></th>
                </tr>
                <tr>
                    <th>Item</th>
                    <th>Quantity</th>
                    <th>Price</th>
                    <th>Subtotal</th>
                </tr>
                <tr>
                    <td colspan="5"><hr></td>
                </tr>
                <%
                Object[] cart = new Object[numItems];
                cart = currentCart.getItems();
                double total = 0;
                
                // puts cart items into the table for viewing.
                for (int i = 0; i < numItems; i = i + 1)
                {
                    CD currentCD = (CD)cart[i];
                %>
                    <tr>
                    <% 
                        String price = NumberFormat.getCurrencyInstance(Locale.US).format(currentCD.getPrice());
                        String subTotal = NumberFormat.getCurrencyInstance(Locale.US).format(currentCD.getPrice() * (currentCD.getDuplicates() + 1));
                    %>
                        <td align="center"><%= currentCD.getTitle() %></td>
                        <td align="center"><input type="text" name="cd<%=i%>" value="<%= currentCD.getDuplicates() + 1 %>" size=3></td>
                        <td align="center"><%= price %></td>
                        <% total = total + (currentCD.getPrice() * (currentCD.getDuplicates() + 1)); %>
                        <td align="center"><%= subTotal %></td>
                    </tr>
                <%
                }
                %>
                <tr>
                    <td colspan="5"><hr></td>
                </tr>
                <tr>
                    <th colspan="3" align="right">Total:</th>
                <%
                    String temp = NumberFormat.getCurrencyInstance(Locale.US).format(total);
                %>
                    <td align="center"><%= temp %></td>
                </tr>
                <tr>
                    <td align="center"><br/></a></td>
                    <td align="center"><input type="submit" value="Apply changes"></td>
                    <td><br></td>
                    <%
                    // if the user hasn't logged in, direct them to the login screen
                    if (currentUser.getUserID().equals("null"))
                    {
                    %>
                        <td align="center"><a href="login.jsp?redirect=purchase">Checkout</a></td>
                    <%
                    }
                    else // otherwise take them to the checkout screen
                    {
                    %>
                        <td align="center"><a href="purchase.jsp">Checkout</a></td>
                    <%
                    }
                    %>
                </tr>
            </table>
            </form>
        <%
        }
        
        connection.close();
        %>
        
        <%@ include file="tablelower.jsp" %>
    </body>
</html>