<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%
    String url = "jdbc:mysql://localhost/cdstore";
    String username = "root";
    String password = "password";
    
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String action = request.getParameter("action");
    String oldpass = request.getParameter("oldpass");
    String newpass = request.getParameter("newpass");
    String confirmpass = request.getParameter("confirmpass");
    boolean changed = false;
    boolean oldpassmismatch = true;
    boolean newpassmismatch = true;
    
    if (action == null)
    {
        action = "null";
    }
    
    if (action.equals("change")) // if the user is trying to change their password
    {
        // get their current password
        String query = "SELECT password FROM customers WHERE user_id='" + currentUser.getUserID() + "';";
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(query);
        results.next();
        
        // check to see if they confirmed their current password
        if (oldpass.equals(results.getString("password")) == true)
        {
            oldpassmismatch = false;
        }
        
        // check to see if their new passwords match
        if (newpass.equals(confirmpass) == true)
        {
            newpassmismatch = false;
        }
        
        // if they did everything right, update the database
        if ((oldpassmismatch == false) && (newpassmismatch == false))
        {
            String update = "UPDATE customers SET password='" + newpass + "' WHERE user_id='" + currentUser.getUserID() + "';";
            statement.executeUpdate(update);
            changed = true;
        }
    }
%>
<html>
    <head>
        <title>
            CD Store - change password
        </title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        
        <center>
            <h1>Change your password</h1>
            <form action="changepassword.jsp?action=change" method="POST">            
            <table border="0">
                <% 
                if ((changed == true) && (action.equals("change")) == true) // if the user did everything right, tell them about the update
                {
                %>
                    <tr>
                        <td align="center" colspan="2"><font color="red">Password has been changed</font></td>
                    </tr>
                <%
                }
                else if ((oldpassmismatch == true) && (action.equals("change")) == true) // otherwise, error
                {
                %>
                    <tr>
                        <td align="center" colspan="2"><font color="red">Invalid current password</font></td>
                    </tr>
                <%
                }
                else if ((newpassmismatch == true) && (action.equals("change")) == true) // another possible error
                {
                %>
                    <tr>
                        <td align="center" colspan="2"><font color="red">New passwords did not match</font></td>
                    </tr>
                <%
                }
                // now print out the form for them to play with
                %>
                <tr>
                    <td align="right">Current password:</td>
                    <td align="left"><input type="password" name="oldpass"></td>
                </tr>
                <tr>
                    <td align="right">New password:</td>
                    <td align="left"><input type="password" name="newpass"></td>
                </tr>
                <tr>
                    <td align="right">Confirm new password:</td>
                    <td align="left"><input type="password" name="confirmpass"></td>
                </tr>
                <tr>
                    <td align="right"><input type="reset" value="Clear"></td>
                    <td align="left"><input type="submit" value="Change"></td>
                </tr>
            </table>
            </form>
        <%
        connection.close();
        %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>