<%@ include file="beans.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.text.*" %>
<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String password = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    boolean genresUpdated = false;
    boolean duplicateKeys = false;
    
    if (request.getParameter("options") != null) // if the admin is trying to make changes
    {
        String option = request.getParameter("options"); // see what sort of change they are trying to make
        if (option.equals("1")) // they are adding a new genre, the store is expanding!
        {
            String newName = request.getParameter("newgenre");
            String update = "INSERT INTO genres (name) VALUES ('" + newName + "');";
            Statement updateStatement = connection.createStatement();
            try // see if they're trying to add a genre that already exists in the database
            {
                updateStatement.executeUpdate(update);
                genresUpdated = true;
            }
            catch (Exception e) // the genre already exists, set the flag to display a warning
            {
                duplicateKeys = true;
            }
        }
        else // they are deleting a genre...well times do change
        {
            String oldGenre = request.getParameter("oldgenre");
            String remove = "DELETE FROM genres WHERE name='" + oldGenre + "';";
            Statement removeStatement = connection.createStatement();
            removeStatement.executeUpdate(remove);
            genresUpdated = true;
        }
    }
    
    String query = "SELECT name FROM genres;";
    Statement statement = connection.createStatement();
    ResultSet results = statement.executeQuery(query);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD Store - Edit Genre Information</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <%
        if (currentUser.isAdmin() == true)
        {
        %>
            <center>
            <h1>Edit Genre Information</h1>
            <%
                if (genresUpdated) // the admin successfully added or deleted a genre
                {
                    out.println("<font color=\"red\">Genres updated successfully</font>");
                }
                else if (duplicateKeys) // the admin tried to add a duplicate genre, show them their error
                {
                    out.println("<font color=\"red\">That genre already exists in the database</font>");
                }
            %>
            <form action="editgenres.jsp" method="post">
                <table border="0">
                    <tr>
                        <td><input type="radio" name="options" value="1" checked="checked"/></td>
                        <td>Add new genre: <input type="text" name="newgenre"/></td>
                    </tr>
                    <tr>
                        <td><input type="radio" name="options" value="2"/></td>
                        <td>Delete genre: <select name="oldgenre">
                    <%
                        while (results.next())
                        {
                            String temp = results.getString("name");
                    %>
                            <option value="<%= temp %>"><%= temp %></option>
                    <%
                        }
                    %>
                        </select>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><input type="submit" value="Submit"/></td>
                    </tr>
                </table>
            </form>
            </center>
        <%
        }
        else
        {
            out.println("<center><h1>You must be logged in as an administrator to view this page</h1></center>");
        }
        
        connection.close();
        %>	
        <%@ include file="tablelower.jsp" %>
    </body>
</html>