<%@ include file="beans.jsp" %>
<%@ page import="edu.montana.cs.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String query = "SELECT first_name, last_name, address, city, state, zip_code FROM customers WHERE user_id='" + currentUser.getUserID() + "';";
    Statement statement = connection.createStatement();
    ResultSet results = statement.executeQuery(query);
    results.next();
    String first_name = results.getString("first_name");
    String last_name = results.getString("last_name");
    String address = results.getString("address");
    String city = results.getString("city");
    String state = results.getString("state");
    String zip_code = results.getString("zip_code");
    
    int numItems = currentCart.getNumItems();
    Object[] cart = new Object[numItems];
    cart = currentCart.getItems();
    
    double totalSale = 0;
    String CDNames = "";
    // get all the CD names, concat them all into 1 string.  Seperate the names by | if the string needs to be parsed at a later date
    for (int i = 0; i < numItems; i = i + 1)
    {
        CD temp = (CD)cart[i];
        totalSale = totalSale + temp.getPrice();
        CDNames = CDNames + temp.getTitle();
        if (i < numItems - 1)
        {
            CDNames = CDNames + "|";
        }
        
        // get the ID of the CD and get the CD current stock so that you can subtract the purchase from the existing stock
        int dbID = temp.getDatabaseID();
        String stockQuery = "SELECT in_stock FROM cds WHERE id=" + dbID + ";";
        Statement stockStatement = connection.createStatement();
        ResultSet stockResults = stockStatement.executeQuery(stockQuery);
        stockResults.next();
        int currentStock = Integer.parseInt(stockResults.getString("in_stock"));
        
        int newStock = currentStock - (temp.getDuplicates() + 1);
        String stockUpdate = "UPDATE cds SET in_stock="+newStock+" WHERE id="+dbID+";";
        stockStatement.executeUpdate(stockUpdate);
    }
    
    // get the date of the sale
    String saleDate = "";
    GregorianCalendar calendar = new GregorianCalendar();
    String day = Integer.toString(calendar.get(Calendar.DATE));
    String month = Integer.toString(calendar.get(Calendar.MONTH) + 1);
    String year = Integer.toString(calendar.get(Calendar.YEAR));
    if (month.length() < 2) // if the month is single digit, pad it
    {
        month = "0" + month;
    }
    
    if (day.length() < 2) // if the day is single digit, pad it as well
    {
        day = "0" + day;
    }
    
    saleDate = month + "/" + day + "/" + year;
    
    // insert the sale information into the database
    String update = "INSERT INTO sales (total_price, cd_names, user_id, sale_date) VALUES (" + totalSale + ", '" + CDNames + "', '" + currentUser.getUserID() + "', '" + saleDate + "');";
    Statement statement2 = connection.createStatement();
    statement.executeUpdate(update);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD store - Purchase</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@include file="tableupper.jsp" %>
        
        <center>
            <h1>Thank you for your purchase!</h1>
        </center>
        <b>The following items:</b><br>
        <% 
            // print out the list of all CDs that they bought
            out.println("<ul>");
            for (int i = 0; i < numItems; i = i + 1)
            {
                CD currentCD = (CD)cart[i];
                String totalCDs = "";
                if (currentCD.getDuplicates() > 0)
                {
                    totalCDs = " (x" + (currentCD.getDuplicates() + 1) + ")";
                }
                out.println("<li>" + currentCD.getTitle() + totalCDs + "</li>");
            }
            out.println("</ul>");
        %>
        <br>
        <% // tell them where you are shipping the CDs to %>
        <b>Will be shipped to:</b><br/>
        <%= first_name %> <%= last_name %><br>
        <%= address %><br>
        <%= city %>, <%= state %><br>
        <%= zip_code %><br>
        <% 
            // remove the purchased items from their cart
            currentCart.removeAllItems(); 
            
            connection.close();
        %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>